Subject: bug#36809: "~nosuchuser" commit breaks tramp's scp

From: Yuri D'Elia <[email-masked]>
Date: Fri, 26 Jul 2019 14:54:34 +0200

On Fri, Jul 26 2019, Michael Albinus wrote:
> Like Paul, I'm not able to reproduce the problem. Using a build from
> today with "emacs -Q", I apply "C-x C-f /scp::~nosuchuser". I get a
> buffer "~nosuchuser" and the message "(New file)", which sounds OK. The
> buffer's file name is "/scp:machine:/home/albinus/~nosuchuser", which is
> also appropriate.

~nosuchuser has nothing to do with it.

I'm opening any file with the syntax /scp:machine:/fullpath and it gets
stuck just after "...done" is written. The file mode is irrelevant (any
file will do). I can escape with C-g, but barely anything works after
that (it's impossible to quit for example).

Any idea on how to investigate where is it stuck? (there's no error
being triggered).

Reverting the specific commit does fix the issue, which is strange.

I cannot reproduce the problem when starting with -Q, which is something
I'm going to investigate, but I'm still puzzled.